/**
 * 
 */
package net.bigeon.gclc.process.mocks;

import java.io.IOException;

import net.bigeon.gclc.command.ICommand;
import net.bigeon.gclc.exception.CommandRunException;
import net.bigeon.gclc.manager.ConsoleInput;
import net.bigeon.gclc.manager.ConsoleOutput;

/** @author Emmanuel Bigeon */
public class CommandMock implements ICommand {

    private int executeCall     = 0;
    private int tipCall         = 0;
    private int helpCall        = 0;
    private int commandNameCall = 0;

    /* (non-Javadoc)
     * @see net.bigeon.gclc.command.ICommand#execute(net.bigeon.gclc.manager.
     * ConsoleOutput, net.bigeon.gclc.manager.ConsoleInput, java.lang.String[]) */
    @Override
    public void execute(final ConsoleOutput out, final ConsoleInput in,
            final String... args) throws CommandRunException {
        executeCall++;
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.command.ICommand#getCommandName() */
    @Override
    public String getCommandName() {
        commandNameCall++;
        return "name";
    }

    /* (non-Javadoc)
     * @see
     * net.bigeon.gclc.command.ICommand#help(net.bigeon.gclc.manager.ConsoleOutput,
     * java.lang.String[]) */
    @Override
    public void help(final ConsoleOutput output, final String... args)
            throws IOException {
        helpCall++;
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.command.ICommand#tip() */
    @Override
    public String tip() {
        tipCall++;
        return "tip";
    }

    /** @return the executeCall */
    public int getExecuteCall() {
        return executeCall;
    }
}
